package org.springblade.community.feign;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springblade.community.entity.Agency;
import org.springblade.community.vo.AgencyVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class AgencyClientFallback implements IAgencyClient {
            /**
         * 详情
         */
        @Override
        public AgencyVO detail(Agency agency) {
            return null;
        }

	@Override
	public Agency getById(Long id) {
		return null;
	}

	/**
         * 查询
         */
        @Override
        public List<AgencyVO> list(Agency agency) {
            return null;
        }

	@Override
	public List<AgencyVO> listWithOutToken(Agency agency) {
		return null;
	}


	/**
         * 新增
         */
        @Override
        public boolean save( Agency agency) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Agency agency) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Agency agency) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

		@Override
		public List<Agency> wrapperlist(LambdaQueryWrapper<Agency> wrapper) {
			return null;
		}

		@Override
		public List<Agency> listForOrg(Object[] params) {
			return null;
		}
//
//	@Override
//		public List<Agency> listForOrg(List<Object> params) {
//			return null;
//		}

}
